<?php
$environment = 'development';

define('ENVIRONMENT', $environment);

switch (ENVIRONMENT)
{
	case 'development':
		ini_set('display_errors', 'On');
		error_reporting(E_ALL | E_STRICT);
	break;

	case 'testing':
	case 'production':
		ini_set('display_errors', 'Off');
		error_reporting(0);
	break;

	default:
		exit('The application environment is not set correctly.');
	break;
}
